Bug 215428 - kdump can't show a message "Kdump already running" at all.
kdump can't show a message "Kdump already running" at all.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 17:14 EST by Akira Imamura
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 12:27:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch is based on -130.el5 and can fix this problem. (766 bytes, patch)
2006-11-13 17:14 EST, Akira Imamura
no flags Details | Diff

  None (edit)
Description Akira Imamura 2006-11-13 17:14:50 EST
Description of problem:
kdump can't show a message "Kdump already running" at all even if it's
already running.

Version-Release number of selected component (if applicable):
kexec-tools-1.101-130.el5

How reproducible:
Always

Steps to Reproduce:
1. Run "service kdump start"
2. Run that again.
3.
  
Actual results:
It shows as below.

Starting kdump:                                            [  OK  ]

Expected results:
It should show just "Kdump already running". It doesn't need to
show [FAILED] with the message.

Additional info:
Comment 1 Akira Imamura 2006-11-13 17:14:50 EST
Created attachment 141112 [details]
This patch is based on -130.el5 and can fix this problem.
Comment 2 Neil Horman 2006-11-14 07:24:19 EST
This isn't actually a bug:
http://refspecs.freestandards.org/LSB_3.1.0/LSB-Core-generic/LSB-Core-generic/iniscrptact.html

As per the LSB script, running start on a started service is considered a
success action.  The way we get there in the script however is a bit dubious, so
I've cleaned that up in -131.el5, which now also reports that the service is
already running, in addition to reporting a successful start.
Comment 3 Jay Turner 2007-02-13 12:26:56 EST
Fix confirmed with kexec-tools-1.101-164.el5.

Note You need to log in before you can comment on or make changes to this bug.